<?php
/*php - функции для работы с массивами*/
$arr = array('Ivanov','Petrov','Sidorov');

$arr[] = 'Pupkin';

$goods = [
    [
        'title' => 'nokia',
        'price' => 100,
        'desc' => 'good phone!',
    ],
    [
        'title' => 'iphone',
        'price' => 300,
        'desc' => 'apple phone!',
    ],
    [
        'title' => 'asus',
        'price' => 200,
        'desc' => 'mne norm',
    ],
];

//echo '<pre>';
//print_r($arr);
//echo '</pre>';

/*
 count - количесвто элементов массива
array_diff - берет из 1 массива только те элементы, которых нет во 2 и т.д.
array_intersect - только те элементы, которые есть и в 1 и во 2 массивах
array_key_exist - существует ли указанный ключ
array_keys - выбирает из массива ключи
array_values - выбирает из массива значения
array_merge - сливает массивы. Перезаписывает по индексам. Для сливания без перезаписи узать "+"
array_rand - выбирает одно или несколько случайных ключей(индексов) массива
array_reverse - переворачивает массив (возвращает в обратном порядке). Второй параметр - перезапись ключей
compact - создает массив из переменных
extract - извлекает из массивов элементы и создает для них переменные
arsort - сортировка по значениям в обратном порядке, ключи сохраняются
asort - сортировка по значениям в прямом порядке, ключи сохраняются
sort - сортировка - в обратном порядке, ключи не сохраняются
rsort - сортировка - в прямом порядке, ключи не сохраняются
=================
array_combine - создаст новый массив из двух: один использует в качестве ключей, другой - в качестве значений
array_search - поиск значения в массиве. возвращает ключ первого найденного
array_shift - извлекает первый элемент массива
array_unique - убирает повторяющиеся значения из массива
array_unshift - добавляет элементы в начало массива
array_flip - меняет местами ключи и их значения в массиве
array_pop - извлекает последний элемент массива
array_push - добавляет элементы в конец массива
in_array - проверяет, присутствует ли значение в массиве
list - присваивает переменным из списка значения подобно массиву
  */

$array1 = array("a"=>"green","red","blue","red");
$array2 = array("b" => "green","yellow","red");
$result = array_diff($array1, $array2);
$result2 = array_merge($array1, $array2);
$result3 = array_keys($goods[1]);

echo '<pre>';
print_r($result2);
echo '</pre>';

/*
echo '<pre>';
print_r($result);
echo '</pre>';

echo '<pre>';
print_r($result2);
echo '</pre>';*/



//echo count($goods, 1);

?>